## sparskit 2.0.0

=== debian/changelog ===
sparskit (2.0.0-5) unstable; urgency=medium

  * Add myself to uploaders.
  * Fix typo in d/control.  (Closes: #796427)
  * Standards-Version: 4.6.1 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Jul 2022 09:43:47 +0200

sparskit (2.0.0-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with gcc-10.  (Closes: #957828)
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Browser.
  * Restore a <Tab> instead of 8 spaces in d/rules.
  * Restore a missing endif in d/rules dh_auto_test target.
  * Fix typo caught by lintian.
  * Glue the License field in d/copyright.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 03 Feb 2021 16:37:21 +0100

sparskit (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: short dh
  * Fix homepage

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2018 14:01:02 +0100

sparskit (2.0.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes necessary)
  * Bump compat level to 8
  * Added vcs fields
  * Updated email address

 -- Dominique Belhachemi <domibel@debian.org>  Wed, 21 Sep 2011 22:43:27 -0400

sparskit (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #498653)

 -- Dominique Belhachemi <domibel@debian.org>  Sat, 03 Apr 2010 10:18:28 -0400
