=== debian/control ===
Source: sparskit
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               cmake,
               liblapack-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/sparskit
Vcs-Git: https://salsa.debian.org/science-team/sparskit.git
Homepage: https://www-users.cs.umn.edu/~saad/software/SPARSKIT/
Rules-Requires-Root: no

Package: libsparskit2.0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: basic tool-kit for sparse matrix computations - runtime
 SPARSKIT a basic tool-kit for sparse matrix computations. Sparskit is a
 general purpose FORTRAN-77 library for sparse matrix computations. It has
 been gathered over several years and includes some of the most useful tools
 for developing and implementing sparse matrix techniques, particularly for
 iterative solvers. If you need a simple routine for doing a sparse matrix
 operation (e.g., adding two sparse matrices, or reordering a sparse matrix)
 it is likely to be available in SPARSKIT. SPARSKIT also contains most of
 the iterative accelerators and a number of efficient preconditioners.

Package: libsparskit-dev
Architecture: any
Section: libdevel
Depends: libsparskit2.0 (= ${binary:Version}),
         ${misc:Depends}
Description: basic tool-kit for sparse matrix computations - devel
 SPARSKIT a basic tool-kit for sparse matrix computations. Sparskit is a general
 purpose FORTRAN-77  library for sparse matrix computations. It has been
 gathered over several years and includes some of the most useful tools for
 developing and implementing sparse matrix techniques, particularly for
 iterative solvers. If you need a simple routine for doing a sparse matrix
 operation (e.g., adding two sparse matrices, or reordering a sparse matrix) it
 is likely to be available in SPARSKIT. SPARSKIT also contains most of the
 iterative accelerators and a number of efficient preconditioners.
